For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETRetrieve a list of ATS job postings
      • GETRetrieve ATS job posting
      • GETRetrieve ATS job postings
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsAts Job Postings

Retrieve ATS job posting

GET
/ats/job-postings/:job_posting_id
GET
/rest/v2/ats/job-postings/:job_posting_id
$curl https://api.letsdeel.com/rest/v2/ats/job-postings/1b9d6c7e-2c3f-4f5a-8b6c-7d8e9f0a1b2c \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "id": "443a9b58-735c-4dc3-9744-589abb2dbe5f",
4 "job": {
5 "id": "5f3cbc4b-2c51-4b48-a2c5-141f581dbf8a",
6 "compensation": {
7 "id": "9a8b7c6d-5e4f-4321-abcd-9876543210ff",
8 "currency_iso_code": "USD",
9 "max_amount": 105000,
10 "min_amount": 85000
11 },
12 "job_locations": [
13 {
14 "id": "ae5ea0d8-300b-4027-9d14-0330ac5e527c",
15 "location": {
16 "id": "f61a2d36-2790-45d0-b9c9-988c6c234b9b",
17 "name": "France"
18 }
19 }
20 ],
21 "job_employment_types": [
22 {
23 "id": "33a13504-ec08-4f2a-98cf-64c0cc20f20b",
24 "employment_type": {
25 "id": "5ed1ab2a-395f-4cf1-854f-7aa060a31db3",
26 "name": "Temporary"
27 }
28 }
29 ],
30 "job_teams": [
31 {
32 "id": "53e4d5bb-65e3-42ff-ada7-65badeeb9d8f",
33 "team": {
34 "id": "127ee4e0-3776-46c8-8999-5e045e2ae1cf",
35 "name": "Product Design Team"
36 }
37 }
38 ],
39 "job_departments": [
40 {
41 "id": "092007cf-8e8b-4720-99a2-ec29a0824cce",
42 "department": {
43 "id": "8cec1556-8681-436c-a307-2af84ac1b66d",
44 "name": "Design"
45 }
46 }
47 ]
48 },
49 "title": "Product Designer",
50 "created_at": "2025-07-24T16:28:46.063Z",
51 "updated_at": "2025-07-25T10:11:12.613Z",
52 "publications": [
53 {
54 "id": "07e7f02c-e10f-4751-a1af-a7d110617e27",
55 "job_board": {
56 "id": "95858e6b-3971-408c-97d6-73ca4fce10b7"
57 },
58 "current_state": {
59 "id": "958e9211-5944-49df-a9df-af43967b233f",
60 "created_at": "2025-07-24T16:28:46.063Z",
61 "state_slug": "PUBLISHED_BASIC",
62 "created_by": "42d103ea-9367-432a-8e6f-7ab548eeddcd",
63 "error_message": "Publication failed due to invalid job board credentials"
64 }
65 }
66 ],
67 "richtext_description": "<p>Some description</p>",
68 "is_compensation_visible": false,
69 "application_form": {
70 "id": "6bfbc928-8d34-46a0-8bca-6503f0e7128c",
71 "title": "Standard Application"
72 }
73 }
74}

Returns a single job posting by job_posting_id, including its associated job object, publication status, application form configuration, compensation visibility flag, and rich-text description. Token scopes: ats:read

Was this page helpful?
Previous

Retrieve ATS job postings

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

job_posting_idstringRequiredformat: "uuid"
Unique identifier of the job posting to retrieve

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication